Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class ComplexConditionHelper

    java.lang.Object
      com.fujitsu.iflow.model.util.ComplexConditionHelper

public class ComplexConditionHelper
extends java.lang.Object

This class is used to generate script based on the conditional expression and the actions.

Constructor Summary
`ComplexConditionHelper()`

Method Summary
`static java.lang.String` | `addComplexCondition(java.lang.String arrowName, java.lang.String script)`
`static java.lang.String` | `generateComplexConditionScripts(java.util.Vector actionParams, java.util.Vector actionCond)`
`static java.util.Vector[]` | `getParseTree(java.lang.String jsScript)`
`static java.lang.String` | `modifyComplexConditionScript(java.lang.String oldName, java.lang.String newName, java.lang.String script)`
`static java.lang.String` | `removeComplexCondition(java.lang.String arrowName, java.lang.String script)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComplexConditionHelper

    public ComplexConditionHelper()

Method Detail

### generateComplexConditionScripts

    public static java.lang.String generateComplexConditionScripts(java.util.Vector actionParams,
                                                                   java.util.Vector actionCond)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getParseTree

    public static java.util.Vector[] getParseTree(java.lang.String jsScript)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### modifyComplexConditionScript

    public static java.lang.String modifyComplexConditionScript(java.lang.String oldName,
                                                                java.lang.String newName,
                                                                java.lang.String script)
                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addComplexCondition

    public static java.lang.String addComplexCondition(java.lang.String arrowName,
                                                       java.lang.String script)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeComplexCondition

    public static java.lang.String removeComplexCondition(java.lang.String arrowName,
                                                          java.lang.String script)
                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD